SecByteBlock Class Reference

SecBlock<byte> typedef. More...

Inheritance diagram for SecByteBlock:

## Additional Inherited Members

Public Types inherited from SecBlock< byte >
typedef AllocatorWithCleanup< byte > ::value_type | value_type
typedef AllocatorWithCleanup< byte > ::pointer | iterator
typedef AllocatorWithCleanup< byte > ::const_pointer | const_iterator
typedef AllocatorWithCleanup< byte > ::size_type | size_type
Public Member Functions inherited from SecBlock< byte >
| SecBlock (size_type size=0)
| Construct a SecBlock with space for size elements. More...
| SecBlock (const SecBlock< byte, AllocatorWithCleanup< byte > > &t)
| Copy construct a SecBlock from another SecBlock. More...
| SecBlock (const byte *ptr, size_type len)
| Construct a SecBlock from an array of elements. More...
| operator const void * () const
| operator void * ()
| operator const byte * () const
| operator byte * ()
iterator | begin ()
| Provides an iterator pointing to the first element in the memory block. More...
const_iterator | begin () const
| Provides a constant iterator pointing to the first element in the memory block. More...
iterator | end ()
| Provides an iterator pointing beyond the last element in the memory block. More...
const_iterator | end () const
| Provides a constant iterator pointing beyond the last element in the memory block. More...
AllocatorWithCleanup< byte > ::pointer | data ()
| Provides a pointer to the first element in the memory block. More...
AllocatorWithCleanup< byte > ::const_pointer | data () const
| Provides a pointer to the first element in the memory block. More...
size_type | size () const
| Provides the count of elements in the SecBlock. More...
bool | empty () const
| Determines if the SecBlock is empty. More...
byte * | BytePtr ()
| Provides a byte pointer to the first element in the memory block. More...
const byte * | BytePtr () const
| Return a byte pointer to the first element in the memory block. More...
size_type | SizeInBytes () const
| Provides the number of bytes in the SecBlock. More...
void | Assign (const byte *ptr, size_type len)
| Set contents and size from an array. More...
void | Assign (const SecBlock< byte, AllocatorWithCleanup< byte > > &t)
| Copy contents from another SecBlock. More...
SecBlock< byte, AllocatorWithCleanup< byte > > & | operator= (const SecBlock< byte, AllocatorWithCleanup< byte > > &t)
| Assign contents from another SecBlock. More...
SecBlock< byte, AllocatorWithCleanup< byte > > & | operator+= (const SecBlock< byte, AllocatorWithCleanup< byte > > &t)
| Append contents from another SecBlock. More...
SecBlock< byte, AllocatorWithCleanup< byte > > | operator+ (const SecBlock< byte, AllocatorWithCleanup< byte > > &t)
| Construct a SecBlock from this and another SecBlock. More...
bool | operator== (const SecBlock< byte, AllocatorWithCleanup< byte > > &t) const
| Bitwise compare two SecBlocks. More...
bool | operator!= (const SecBlock< byte, AllocatorWithCleanup< byte > > &t) const
| Bitwise compare two SecBlocks. More...
void | New (size_type newSize)
| Change size without preserving contents. More...
void | CleanNew (size_type newSize)
| Change size without preserving contents. More...
void | Grow (size_type newSize)
| Change size and preserve contents. More...
void | CleanGrow (size_type newSize)
| Change size and preserve contents. More...
void | resize (size_type newSize)
| Change size and preserve contents. More...
void | swap (SecBlock< byte, AllocatorWithCleanup< byte > > &b)
| Swap contents with another SecBlock. More...
Public Attributes inherited from SecBlock< byte >
AllocatorWithCleanup< byte > | m_alloc
size_type | m_size
byte * | m_ptr

## Detailed Description

SecBlock<byte> typedef.

Definition at line 731 of file secblock.h.

The documentation for this class was generated from the following file:

- secblock.h